Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java.utils.glf
Class GLFFuncJNI

    java.lang.Object
      |
      +--gl4java.utils.glf.GLFFuncJNI

All Implemented Interfaces:
  GLFEnum

Direct Known Subclasses:
  GLF

public abstract class GLFFuncJNI
extends java.lang.Object
implements GLFEnum

The default implementation class for GLF native function mapping

Version:
  2.00, 21. April 1999
Author:
  Sven Goethel

Fields inherited from interface gl4java.utils.glf.GLFEnum
`GLF_CENTER, GLF_CENTER_CENTER, GLF_CENTER_DOWN, GLF_CENTER_UP, GLF_CONSOLE_CURSOR, GLF_CONSOLE_MESSAGES, GLF_CONTOURING, GLF_DOWN, GLF_ERROR, GLF_LEFT, GLF_LEFT_CENTER, GLF_LEFT_DOWN, GLF_LEFT_UP, GLF_NO, GLF_OK, GLF_RIGHT, GLF_RIGHT_CENTER, GLF_RIGHT_DOWN, GLF_RIGHT_UP, GLF_TEXTURING, GLF_UP, GLF_YES`

Constructor Summary
`GLFFuncJNI()`

Method Summary
`java.lang.String` | `getClassVendor()`
`java.lang.String` | `getClassVersion()`
`java.lang.String` | `getNativeVendor()`
`java.lang.String` | `getNativeVersion()`
`int` | `glfBeginBFont(int Font_Descriptor)` Original Function-Prototype :
`boolean` | `glfBitmapGetStringCentering()` Original Function-Prototype :
`void` | `glfBitmapStringCentering(boolean center)` Original Function-Prototype :
`void` | `glfClose()` Original Function-Prototype :
`void` | `glfConsoleClear()` Original Function-Prototype :
`void` | `glfConsoleDraw()` Original Function-Prototype :
`void` | `glfDisable(int what)` Original Function-Prototype :
`void` | `glfDraw3DSolidString(java.lang.String s)` Original Function-Prototype :
`void` | `glfDraw3DSolidStringF(int font_descriptor, java.lang.String s)` Original Function-Prototype :
`void` | `glfDraw3DSolidSymbol(byte s)` Original Function-Prototype :
`void` | `glfDraw3DSolidSymbolF(int font_descriptor, byte s)` Original Function-Prototype :
`void` | `glfDraw3DWiredString(java.lang.String s)` Original Function-Prototype :
`void` | `glfDraw3DWiredStringF(int font_descriptor, java.lang.String s)` Original Function-Prototype :
`void` | `glfDraw3DWiredSymbol(byte s)` Original Function-Prototype :
`void` | `glfDraw3DWiredSymbolF(int font_descriptor, byte s)` Original Function-Prototype :
`void` | `glfDrawBMaskString(java.lang.String s)` Original Function-Prototype :
`void` | `glfDrawBMaskSymbol(byte s)` Original Function-Prototype :
`void` | `glfDrawBString(java.lang.String s)` Original Function-Prototype :
`void` | `glfDrawBSymbol(byte s)` Original Function-Prototype :
`void` | `glfDrawSolidString(java.lang.String s)` Original Function-Prototype :
`void` | `glfDrawSolidStringF(int font_descriptor, java.lang.String s)` Original Function-Prototype :
`void` | `glfDrawSolidSymbol(byte s)` Original Function-Prototype :
`void` | `glfDrawSolidSymbolF(int font_descriptor, byte s)` Original Function-Prototype :
`void` | `glfDrawWiredString(java.lang.String s)` Original Function-Prototype :
`void` | `glfDrawWiredStringF(int font_descriptor, java.lang.String s)` Original Function-Prototype :
`void` | `glfDrawWiredSymbol(byte s)` Original Function-Prototype :
`void` | `glfDrawWiredSymbolF(int font_descriptor, byte s)` Original Function-Prototype :
`void` | `glfEnable(int what)` Original Function-Prototype :
`void` | `glfEndBFont()` Original Function-Prototype :
`int` | `glfGetCurrentBFont()` Original Function-Prototype :
`int` | `glfGetCurrentFont()` Original Function-Prototype :
`float` | `glfGetSpaceSize()` Original Function-Prototype :
`void` | `glfGetStringBounds(java.lang.String s, float[] minx, float[] miny, float[] maxx, float[] maxy)` Original Function-Prototype :
`void` | `glfGetStringBoundsF(int fd, java.lang.String s, float[] minx, float[] miny, float[] maxx, float[] maxy)` Original Function-Prototype :
`boolean` | `glfGetStringCentering()` Original Function-Prototype :
`int` | `glfGetStringDirection()` Original Function-Prototype :
`float` | `glfGetSymbolDepth()` Original Function-Prototype :
`float` | `glfGetSymbolSpace()` Original Function-Prototype :
`void` | `glfInit()` Original Function-Prototype :
`abstract int` | `glfLoadBFont(java.lang.String fontname)`
`abstract int` | `glfLoadBFont(java.net.URL baseURL, java.lang.String fontURI)`
`protected int` | `glfLoadBFontNative(long fontf)` Load Bitmap font to memory, by (FILE *) fontf
`abstract int` | `glfLoadFont(java.lang.String fontname)`
`abstract int` | `glfLoadFont(java.net.URL baseURL, java.lang.String fontURI)`
`protected int` | `glfLoadFontNative(long fontf)` Load Vector font to memory, by (FILE *) fontf
`void` | `glfPrint(java.lang.String s, int lenght)` Original Function-Prototype :
`void` | `glfPrintChar(byte s)` Original Function-Prototype :
`void` | `glfPrintString(java.lang.String s)` Original Function-Prototype :
`void` | `glfSetAnchorPoint(int anchp)` Original Function-Prototype :
`void` | `glfSetBRotateAngle(float angle)` Original Function-Prototype :
`int` | `glfSetConsoleFont(int Font_Descriptor)` Original Function-Prototype :
`void` | `glfSetConsoleParam(int width, int height)` Original Function-Prototype :
`void` | `glfSetContourColor(float r, float g, float b, float a)` Original Function-Prototype :
`int` | `glfSetCurrentBFont(int Font_Descriptor)` Original Function-Prototype :
`int` | `glfSetCurrentFont(int Font_Descriptor)` Original Function-Prototype :
`void` | `glfSetCursorBlinkRate(int Rate)` Original Function-Prototype :
`void` | `glfSetRotateAngle(float angle)` Original Function-Prototype :
`void` | `glfSetSpaceSize(float sp)` Original Function-Prototype :
`void` | `glfSetSymbolDepth(float dpth)` Original Function-Prototype :
`void` | `glfSetSymbolSpace(float sp)` Original Function-Prototype :
`void` | `glfStringCentering(boolean center)` Original Function-Prototype :
`void` | `glfStringDirection(int direction)` Original Function-Prototype :
`int` | `glfUnloadBFont()` Original Function-Prototype :
`int` | `glfUnloadBFontD(int bmf_descriptor)` Original Function-Prototype :
`int` | `glfUnloadFont()` Original Function-Prototype :
`int` | `glfUnloadFontD(int font_descriptor)` Original Function-Prototype :

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLFFuncJNI

    public GLFFuncJNI()

Method Detail

### glfLoadFont

    public abstract int glfLoadFont(java.lang.String fontname)

### glfLoadFont

    public abstract int glfLoadFont(java.net.URL baseURL,
                                    java.lang.String fontURI)

### glfLoadBFont

    public abstract int glfLoadBFont(java.lang.String fontname)

### glfLoadBFont

    public abstract int glfLoadBFont(java.net.URL baseURL,
                                     java.lang.String fontURI)

### getNativeVendor

    public final java.lang.String getNativeVendor()

### getNativeVersion

    public final java.lang.String getNativeVersion()

### getClassVendor

    public final java.lang.String getClassVendor()

### getClassVersion

    public final java.lang.String getClassVersion()

### glfLoadFontNative

    protected final int glfLoadFontNative(long fontf)

  Load Vector font to memory, by (FILE *) fontf

### glfLoadBFontNative

    protected final int glfLoadBFontNative(long fontf)

  Load Bitmap font to memory, by (FILE *) fontf

### glfInit

    public final void glfInit()

  Original Function-Prototype :

      void glfInit ( ) ;

### glfClose

    public final void glfClose()

  Original Function-Prototype :

      void glfClose ( ) ;

### glfUnloadFont

    public final int glfUnloadFont()

  Original Function-Prototype :

      int glfUnloadFont ( ) ;

### glfUnloadBFont

    public final int glfUnloadBFont()

  Original Function-Prototype :

      int glfUnloadBFont ( ) ;

### glfUnloadFontD

    public final int glfUnloadFontD(int font_descriptor)

  Original Function-Prototype :

      int glfUnloadFontD ( int font_descriptor ) ;

### glfUnloadBFontD

    public final int glfUnloadBFontD(int bmf_descriptor)

  Original Function-Prototype :

      int glfUnloadBFontD ( int bmf_descriptor ) ;

### glfDrawWiredSymbol

    public final void glfDrawWiredSymbol(byte s)

  Original Function-Prototype :

      void glfDrawWiredSymbol ( char s ) ;

### glfDrawWiredString

    public final void glfDrawWiredString(java.lang.String s)

  Original Function-Prototype :

      void glfDrawWiredString ( const char * s ) ;

### glfDrawSolidSymbol

    public final void glfDrawSolidSymbol(byte s)

  Original Function-Prototype :

      void glfDrawSolidSymbol ( char s ) ;

### glfDrawSolidString

    public final void glfDrawSolidString(java.lang.String s)

  Original Function-Prototype :

      void glfDrawSolidString ( const char * s ) ;

### glfDraw3DWiredSymbol

    public final void glfDraw3DWiredSymbol(byte s)

  Original Function-Prototype :

      void glfDraw3DWiredSymbol ( char s ) ;

### glfDraw3DWiredString

    public final void glfDraw3DWiredString(java.lang.String s)

  Original Function-Prototype :

      void glfDraw3DWiredString ( const char * s ) ;

### glfDraw3DSolidSymbol

    public final void glfDraw3DSolidSymbol(byte s)

  Original Function-Prototype :

      void glfDraw3DSolidSymbol ( char s ) ;

### glfDraw3DSolidString

    public final void glfDraw3DSolidString(java.lang.String s)

  Original Function-Prototype :

      void glfDraw3DSolidString ( const char * s ) ;

### glfBeginBFont

    public final int glfBeginBFont(int Font_Descriptor)

  Original Function-Prototype :

      int glfBeginBFont ( int Font_Descriptor ) ;

### glfEndBFont

    public final void glfEndBFont()

  Original Function-Prototype :

      void glfEndBFont ( ) ;

### glfDrawBSymbol

    public final void glfDrawBSymbol(byte s)

  Original Function-Prototype :

      void glfDrawBSymbol ( char s ) ;

### glfDrawBString

    public final void glfDrawBString(java.lang.String s)

  Original Function-Prototype :

      void glfDrawBString ( const char * s ) ;

### glfDrawBMaskSymbol

    public final void glfDrawBMaskSymbol(byte s)

  Original Function-Prototype :

      void glfDrawBMaskSymbol ( char s ) ;

### glfDrawBMaskString

    public final void glfDrawBMaskString(java.lang.String s)

  Original Function-Prototype :

      void glfDrawBMaskString ( const char * s ) ;

### glfDrawWiredSymbolF

    public final void glfDrawWiredSymbolF(int font_descriptor,
                                          byte s)

  Original Function-Prototype :

      void glfDrawWiredSymbolF ( int font_descriptor , char s ) ;

### glfDrawWiredStringF

    public final void glfDrawWiredStringF(int font_descriptor,
                                          java.lang.String s)

  Original Function-Prototype :

      void glfDrawWiredStringF ( int font_descriptor , const char * s ) ;

### glfDrawSolidSymbolF

    public final void glfDrawSolidSymbolF(int font_descriptor,
                                          byte s)

  Original Function-Prototype :

      void glfDrawSolidSymbolF ( int font_descriptor , char s ) ;

### glfDrawSolidStringF

    public final void glfDrawSolidStringF(int font_descriptor,
                                          java.lang.String s)

  Original Function-Prototype :

      void glfDrawSolidStringF ( int font_descriptor , const char * s ) ;

### glfDraw3DWiredSymbolF

    public final void glfDraw3DWiredSymbolF(int font_descriptor,
                                            byte s)

  Original Function-Prototype :

      void glfDraw3DWiredSymbolF ( int font_descriptor , char s ) ;

### glfDraw3DWiredStringF

    public final void glfDraw3DWiredStringF(int font_descriptor,
                                            java.lang.String s)

  Original Function-Prototype :

      void glfDraw3DWiredStringF ( int font_descriptor , const char * s ) ;

### glfDraw3DSolidSymbolF

    public final void glfDraw3DSolidSymbolF(int font_descriptor,
                                            byte s)

  Original Function-Prototype :

      void glfDraw3DSolidSymbolF ( int font_descriptor , char s ) ;

### glfDraw3DSolidStringF

    public final void glfDraw3DSolidStringF(int font_descriptor,
                                            java.lang.String s)

  Original Function-Prototype :

      void glfDraw3DSolidStringF ( int font_descriptor , const char * s ) ;

### glfGetStringBoundsF

    public final void glfGetStringBoundsF(int fd,
                                          java.lang.String s,
                                          float[] minx,
                                          float[] miny,
                                          float[] maxx,
                                          float[] maxy)

  Original Function-Prototype :

      void glfGetStringBoundsF ( int fd , const char * s , float * minx , float * miny , float * maxx , float * maxy ) ;

### glfGetStringBounds

    public final void glfGetStringBounds(java.lang.String s,
                                         float[] minx,
                                         float[] miny,
                                         float[] maxx,
                                         float[] maxy)

  Original Function-Prototype :

      void glfGetStringBounds ( const char * s , float * minx , float * miny , float * maxx , float * maxy ) ;

### glfSetSymbolSpace

    public final void glfSetSymbolSpace(float sp)

  Original Function-Prototype :

      void glfSetSymbolSpace ( float sp ) ;

### glfGetSymbolSpace

    public final float glfGetSymbolSpace()

  Original Function-Prototype :

      float glfGetSymbolSpace ( ) ;

### glfSetSpaceSize

    public final void glfSetSpaceSize(float sp)

  Original Function-Prototype :

      void glfSetSpaceSize ( float sp ) ;

### glfGetSpaceSize

    public final float glfGetSpaceSize()

  Original Function-Prototype :

      float glfGetSpaceSize ( ) ;

### glfSetSymbolDepth

    public final void glfSetSymbolDepth(float dpth)

  Original Function-Prototype :

      void glfSetSymbolDepth ( float dpth ) ;

### glfGetSymbolDepth

    public final float glfGetSymbolDepth()

  Original Function-Prototype :

      float glfGetSymbolDepth ( ) ;

### glfSetCurrentFont

    public final int glfSetCurrentFont(int Font_Descriptor)

  Original Function-Prototype :

      int glfSetCurrentFont ( int Font_Descriptor ) ;

### glfSetCurrentBFont

    public final int glfSetCurrentBFont(int Font_Descriptor)

  Original Function-Prototype :

      int glfSetCurrentBFont ( int Font_Descriptor ) ;

### glfGetCurrentFont

    public final int glfGetCurrentFont()

  Original Function-Prototype :

      int glfGetCurrentFont ( ) ;

### glfGetCurrentBFont

    public final int glfGetCurrentBFont()

  Original Function-Prototype :

      int glfGetCurrentBFont ( ) ;

### glfSetAnchorPoint

    public final void glfSetAnchorPoint(int anchp)

  Original Function-Prototype :

      void glfSetAnchorPoint ( int anchp ) ;

### glfSetContourColor

    public final void glfSetContourColor(float r,
                                         float g,
                                         float b,
                                         float a)

  Original Function-Prototype :

      void glfSetContourColor ( float r , float g , float b , float a ) ;

### glfEnable

    public final void glfEnable(int what)

  Original Function-Prototype :

      void glfEnable ( int what ) ;

### glfDisable

    public final void glfDisable(int what)

  Original Function-Prototype :

      void glfDisable ( int what ) ;

### glfSetConsoleParam

    public final void glfSetConsoleParam(int width,
                                         int height)

  Original Function-Prototype :

      void glfSetConsoleParam ( int width , int height ) ;

### glfSetConsoleFont

    public final int glfSetConsoleFont(int Font_Descriptor)

  Original Function-Prototype :

      int glfSetConsoleFont ( int Font_Descriptor ) ;

### glfConsoleClear

    public final void glfConsoleClear()

  Original Function-Prototype :

      void glfConsoleClear ( ) ;

### glfPrint

    public final void glfPrint(java.lang.String s,
                               int lenght)

  Original Function-Prototype :

      void glfPrint ( const char * s , int lenght ) ;

### glfPrintString

    public final void glfPrintString(java.lang.String s)

  Original Function-Prototype :

      void glfPrintString ( const char * s ) ;

### glfPrintChar

    public final void glfPrintChar(byte s)

  Original Function-Prototype :

      void glfPrintChar ( char s ) ;

### glfConsoleDraw

    public final void glfConsoleDraw()

  Original Function-Prototype :

      void glfConsoleDraw ( ) ;

### glfSetCursorBlinkRate

    public final void glfSetCursorBlinkRate(int Rate)

  Original Function-Prototype :

      void glfSetCursorBlinkRate ( int Rate ) ;

### glfStringCentering

    public final void glfStringCentering(boolean center)

  Original Function-Prototype :

      void glfStringCentering ( GLboolean center ) ;

### glfGetStringCentering

    public final boolean glfGetStringCentering()

  Original Function-Prototype :

      GLboolean glfGetStringCentering ( ) ;

### glfBitmapStringCentering

    public final void glfBitmapStringCentering(boolean center)

  Original Function-Prototype :

      void glfBitmapStringCentering ( GLboolean center ) ;

### glfBitmapGetStringCentering

    public final boolean glfBitmapGetStringCentering()

  Original Function-Prototype :

      GLboolean glfBitmapGetStringCentering ( ) ;

### glfStringDirection

    public final void glfStringDirection(int direction)

  Original Function-Prototype :

      void glfStringDirection ( GLuint direction ) ;

### glfGetStringDirection

    public final int glfGetStringDirection()

  Original Function-Prototype :

      GLuint glfGetStringDirection ( ) ;

### glfSetRotateAngle

    public final void glfSetRotateAngle(float angle)

  Original Function-Prototype :

      void glfSetRotateAngle ( float angle ) ;

### glfSetBRotateAngle

    public final void glfSetBRotateAngle(float angle)

  Original Function-Prototype :

      void glfSetBRotateAngle ( float angle ) ;

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD